Index: XIOS/trunk/src/interface/fortran_attr/calendar_wrapper_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/calendar_wrapper_interface_attr.F90	(revision 549)
+++ XIOS/trunk/src/interface/fortran_attr/calendar_wrapper_interface_attr.F90	(revision 549)
@@ -0,0 +1,98 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE calendar_wrapper_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  
+  INTERFACE ! Do not call directly / interface FORTRAN 2003 <-> C99
+    
+    
+    SUBROUTINE cxios_set_calendar_wrapper_start_date(calendar_wrapper_hdl, start_date, start_date_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: start_date
+      INTEGER  (kind = C_INT)     , VALUE        :: start_date_size
+    END SUBROUTINE cxios_set_calendar_wrapper_start_date
+    
+    SUBROUTINE cxios_get_calendar_wrapper_start_date(calendar_wrapper_hdl, start_date, start_date_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: start_date
+      INTEGER  (kind = C_INT)     , VALUE        :: start_date_size
+    END SUBROUTINE cxios_get_calendar_wrapper_start_date
+    
+    FUNCTION cxios_is_defined_calendar_wrapper_start_date(calendar_wrapper_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_calendar_wrapper_start_date
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+    END FUNCTION cxios_is_defined_calendar_wrapper_start_date
+    
+    
+    SUBROUTINE cxios_set_calendar_wrapper_time_origin(calendar_wrapper_hdl, time_origin, time_origin_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: time_origin
+      INTEGER  (kind = C_INT)     , VALUE        :: time_origin_size
+    END SUBROUTINE cxios_set_calendar_wrapper_time_origin
+    
+    SUBROUTINE cxios_get_calendar_wrapper_time_origin(calendar_wrapper_hdl, time_origin, time_origin_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: time_origin
+      INTEGER  (kind = C_INT)     , VALUE        :: time_origin_size
+    END SUBROUTINE cxios_get_calendar_wrapper_time_origin
+    
+    FUNCTION cxios_is_defined_calendar_wrapper_time_origin(calendar_wrapper_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_calendar_wrapper_time_origin
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+    END FUNCTION cxios_is_defined_calendar_wrapper_time_origin
+    
+    
+    SUBROUTINE cxios_set_calendar_wrapper_timestep(calendar_wrapper_hdl, timestep) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      TYPE(txios(duration)), VALUE :: timestep
+    END SUBROUTINE cxios_set_calendar_wrapper_timestep
+    
+    SUBROUTINE cxios_get_calendar_wrapper_timestep(calendar_wrapper_hdl, timestep) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      TYPE(txios(duration)) :: timestep
+    END SUBROUTINE cxios_get_calendar_wrapper_timestep
+    
+    FUNCTION cxios_is_defined_calendar_wrapper_timestep(calendar_wrapper_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_calendar_wrapper_timestep
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+    END FUNCTION cxios_is_defined_calendar_wrapper_timestep
+    
+    
+    SUBROUTINE cxios_set_calendar_wrapper_type(calendar_wrapper_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_set_calendar_wrapper_type
+    
+    SUBROUTINE cxios_get_calendar_wrapper_type(calendar_wrapper_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_get_calendar_wrapper_type
+    
+    FUNCTION cxios_is_defined_calendar_wrapper_type(calendar_wrapper_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_calendar_wrapper_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: calendar_wrapper_hdl
+    END FUNCTION cxios_is_defined_calendar_wrapper_type
+    
+    
+    END INTERFACE
+  
+END MODULE calendar_wrapper_interface_attr
Index: XIOS/trunk/src/interface/fortran_attr/context_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/context_interface_attr.F90	(revision 546)
+++ XIOS/trunk/src/interface/fortran_attr/context_interface_attr.F90	(revision 549)
@@ -8,25 +8,4 @@
   
   INTERFACE ! Do not call directly / interface FORTRAN 2003 <-> C99
-    
-    
-    SUBROUTINE cxios_set_context_calendar_type(context_hdl, calendar_type, calendar_type_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: calendar_type
-      INTEGER  (kind = C_INT)     , VALUE        :: calendar_type_size
-    END SUBROUTINE cxios_set_context_calendar_type
-    
-    SUBROUTINE cxios_get_context_calendar_type(context_hdl, calendar_type, calendar_type_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: calendar_type
-      INTEGER  (kind = C_INT)     , VALUE        :: calendar_type_size
-    END SUBROUTINE cxios_get_context_calendar_type
-    
-    FUNCTION cxios_is_defined_context_calendar_type(context_hdl ) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_calendar_type
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-    END FUNCTION cxios_is_defined_context_calendar_type
     
     
@@ -52,67 +31,4 @@
     
     
-    SUBROUTINE cxios_set_context_start_date(context_hdl, start_date) BIND(C)
-      USE ISO_C_BINDING
-      USE IDATE
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(date)), VALUE :: start_date
-    END SUBROUTINE cxios_set_context_start_date
-    
-    SUBROUTINE cxios_get_context_start_date(context_hdl, start_date) BIND(C)
-      USE ISO_C_BINDING
-      USE IDATE
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(date)) :: start_date
-    END SUBROUTINE cxios_get_context_start_date
-    
-    FUNCTION cxios_is_defined_context_start_date(context_hdl ) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_start_date
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-    END FUNCTION cxios_is_defined_context_start_date
-    
-    
-    SUBROUTINE cxios_set_context_time_origin(context_hdl, time_origin) BIND(C)
-      USE ISO_C_BINDING
-      USE IDATE
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(date)), VALUE :: time_origin
-    END SUBROUTINE cxios_set_context_time_origin
-    
-    SUBROUTINE cxios_get_context_time_origin(context_hdl, time_origin) BIND(C)
-      USE ISO_C_BINDING
-      USE IDATE
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(date)) :: time_origin
-    END SUBROUTINE cxios_get_context_time_origin
-    
-    FUNCTION cxios_is_defined_context_time_origin(context_hdl ) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_time_origin
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-    END FUNCTION cxios_is_defined_context_time_origin
-    
-    
-    SUBROUTINE cxios_set_context_timestep(context_hdl, timestep) BIND(C)
-      USE ISO_C_BINDING
-      USE IDURATION
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(duration)), VALUE :: timestep
-    END SUBROUTINE cxios_set_context_timestep
-    
-    SUBROUTINE cxios_get_context_timestep(context_hdl, timestep) BIND(C)
-      USE ISO_C_BINDING
-      USE IDURATION
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-      TYPE(txios(duration)) :: timestep
-    END SUBROUTINE cxios_get_context_timestep
-    
-    FUNCTION cxios_is_defined_context_timestep(context_hdl ) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_timestep
-      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
-    END FUNCTION cxios_is_defined_context_timestep
-    
-    
     END INTERFACE
   
Index: XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90	(revision 549)
+++ XIOS/trunk/src/interface/fortran_attr/icalendar_wrapper_attr.F90	(revision 549)
@@ -0,0 +1,215 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE icalendar_wrapper_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE icalendar_wrapper
+  USE calendar_wrapper_interface_attr
+  
+CONTAINS
+  
+  SUBROUTINE xios(set_calendar_wrapper_attr)  &
+    ( calendar_wrapper_id, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(get_calendar_wrapper_handle)(calendar_wrapper_id,calendar_wrapper_hdl)
+      CALL xios(set_calendar_wrapper_attr_hdl_)   &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(set_calendar_wrapper_attr)
+  
+  SUBROUTINE xios(set_calendar_wrapper_attr_hdl)  &
+    ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(set_calendar_wrapper_attr_hdl_)  &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(set_calendar_wrapper_attr_hdl)
+  
+  SUBROUTINE xios(set_calendar_wrapper_attr_hdl_)   &
+    ( calendar_wrapper_hdl, start_date_, time_origin_, timestep_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin_
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+      
+      IF (PRESENT(start_date_)) THEN
+        CALL cxios_set_calendar_wrapper_start_date(calendar_wrapper_hdl%daddr, start_date_, len(start_date_))
+      ENDIF
+      
+      IF (PRESENT(time_origin_)) THEN
+        CALL cxios_set_calendar_wrapper_time_origin(calendar_wrapper_hdl%daddr, time_origin_, len(time_origin_))
+      ENDIF
+      
+      IF (PRESENT(timestep_)) THEN
+        CALL cxios_set_calendar_wrapper_timestep(calendar_wrapper_hdl%daddr, timestep_)
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_set_calendar_wrapper_type(calendar_wrapper_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(set_calendar_wrapper_attr_hdl_)
+  
+  SUBROUTINE xios(get_calendar_wrapper_attr)  &
+    ( calendar_wrapper_id, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_calendar_wrapper_handle)(calendar_wrapper_id,calendar_wrapper_hdl)
+      CALL xios(get_calendar_wrapper_attr_hdl_)   &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(get_calendar_wrapper_attr)
+  
+  SUBROUTINE xios(get_calendar_wrapper_attr_hdl)  &
+    ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_calendar_wrapper_attr_hdl_)  &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(get_calendar_wrapper_attr_hdl)
+  
+  SUBROUTINE xios(get_calendar_wrapper_attr_hdl_)   &
+    ( calendar_wrapper_hdl, start_date_, time_origin_, timestep_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin_
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+      
+      IF (PRESENT(start_date_)) THEN
+        CALL cxios_get_calendar_wrapper_start_date(calendar_wrapper_hdl%daddr, start_date_, len(start_date_))
+      ENDIF
+      
+      IF (PRESENT(time_origin_)) THEN
+        CALL cxios_get_calendar_wrapper_time_origin(calendar_wrapper_hdl%daddr, time_origin_, len(time_origin_))
+      ENDIF
+      
+      IF (PRESENT(timestep_)) THEN
+        CALL cxios_get_calendar_wrapper_timestep(calendar_wrapper_hdl%daddr, timestep_)
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_get_calendar_wrapper_type(calendar_wrapper_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(get_calendar_wrapper_attr_hdl_)
+  
+  SUBROUTINE xios(is_defined_calendar_wrapper_attr)  &
+    ( calendar_wrapper_id, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper))  :: calendar_wrapper_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::calendar_wrapper_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
+      LOGICAL(KIND=C_BOOL) :: start_date_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
+      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
+      LOGICAL(KIND=C_BOOL) :: timestep_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(get_calendar_wrapper_handle)(calendar_wrapper_id,calendar_wrapper_hdl)
+      CALL xios(is_defined_calendar_wrapper_attr_hdl_)   &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(is_defined_calendar_wrapper_attr)
+  
+  SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl)  &
+    ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
+      LOGICAL(KIND=C_BOOL) :: start_date_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
+      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
+      LOGICAL(KIND=C_BOOL) :: timestep_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(is_defined_calendar_wrapper_attr_hdl_)  &
+      ( calendar_wrapper_hdl, start_date, time_origin, timestep, type )
+    
+  END SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl_)   &
+    ( calendar_wrapper_hdl, start_date_, time_origin_, timestep_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(calendar_wrapper)) , INTENT(IN) :: calendar_wrapper_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date_
+      LOGICAL(KIND=C_BOOL) :: start_date__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin_
+      LOGICAL(KIND=C_BOOL) :: time_origin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep_
+      LOGICAL(KIND=C_BOOL) :: timestep__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL(KIND=C_BOOL) :: type__tmp
+      
+      IF (PRESENT(start_date_)) THEN
+        start_date__tmp=cxios_is_defined_calendar_wrapper_start_date(calendar_wrapper_hdl%daddr)
+        start_date_=start_date__tmp
+      ENDIF
+      
+      IF (PRESENT(time_origin_)) THEN
+        time_origin__tmp=cxios_is_defined_calendar_wrapper_time_origin(calendar_wrapper_hdl%daddr)
+        time_origin_=time_origin__tmp
+      ENDIF
+      
+      IF (PRESENT(timestep_)) THEN
+        timestep__tmp=cxios_is_defined_calendar_wrapper_timestep(calendar_wrapper_hdl%daddr)
+        timestep_=timestep__tmp
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        type__tmp=cxios_is_defined_calendar_wrapper_type(calendar_wrapper_hdl%daddr)
+        type_=type__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_calendar_wrapper_attr_hdl_)
+  
+END MODULE icalendar_wrapper_attr
Index: XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 546)
+++ XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 549)
@@ -12,66 +12,38 @@
   
   SUBROUTINE xios(set_context_attr)  &
-    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_id, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context))  :: context_hdl
       CHARACTER(LEN=*), INTENT(IN) ::context_id
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: calendar_type
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: start_date
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: time_origin
-      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep
       
       CALL xios(get_context_handle)(context_id,context_hdl)
       CALL xios(set_context_attr_hdl_)   &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(set_context_attr)
   
   SUBROUTINE xios(set_context_attr_hdl)  &
-    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_hdl, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: calendar_type
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: start_date
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: time_origin
-      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep
       
       CALL xios(set_context_attr_hdl_)  &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(set_context_attr_hdl)
   
   SUBROUTINE xios(set_context_attr_hdl_)   &
-    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
+    ( context_hdl, output_dir_ )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: calendar_type_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir_
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: start_date_
-      TYPE(txios(date))  , OPTIONAL, INTENT(IN) :: time_origin_
-      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: timestep_
-      
-      IF (PRESENT(calendar_type_)) THEN
-        CALL cxios_set_context_calendar_type(context_hdl%daddr, calendar_type_, len(calendar_type_))
-      ENDIF
       
       IF (PRESENT(output_dir_)) THEN
         CALL cxios_set_context_output_dir(context_hdl%daddr, output_dir_, len(output_dir_))
-      ENDIF
-      
-      IF (PRESENT(start_date_)) THEN
-        CALL cxios_set_context_start_date(context_hdl%daddr, start_date_)
-      ENDIF
-      
-      IF (PRESENT(time_origin_)) THEN
-        CALL cxios_set_context_time_origin(context_hdl%daddr, time_origin_)
-      ENDIF
-      
-      IF (PRESENT(timestep_)) THEN
-        CALL cxios_set_context_timestep(context_hdl%daddr, timestep_)
       ENDIF
       
@@ -81,66 +53,38 @@
   
   SUBROUTINE xios(get_context_attr)  &
-    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_id, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context))  :: context_hdl
       CHARACTER(LEN=*), INTENT(IN) ::context_id
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: calendar_type
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: start_date
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: time_origin
-      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep
       
       CALL xios(get_context_handle)(context_id,context_hdl)
       CALL xios(get_context_attr_hdl_)   &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(get_context_attr)
   
   SUBROUTINE xios(get_context_attr_hdl)  &
-    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_hdl, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: calendar_type
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: start_date
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: time_origin
-      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep
       
       CALL xios(get_context_attr_hdl_)  &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(get_context_attr_hdl)
   
   SUBROUTINE xios(get_context_attr_hdl_)   &
-    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
+    ( context_hdl, output_dir_ )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: calendar_type_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir_
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: start_date_
-      TYPE(txios(date))  , OPTIONAL, INTENT(OUT) :: time_origin_
-      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: timestep_
-      
-      IF (PRESENT(calendar_type_)) THEN
-        CALL cxios_get_context_calendar_type(context_hdl%daddr, calendar_type_, len(calendar_type_))
-      ENDIF
       
       IF (PRESENT(output_dir_)) THEN
         CALL cxios_get_context_output_dir(context_hdl%daddr, output_dir_, len(output_dir_))
-      ENDIF
-      
-      IF (PRESENT(start_date_)) THEN
-        CALL cxios_get_context_start_date(context_hdl%daddr, start_date_)
-      ENDIF
-      
-      IF (PRESENT(time_origin_)) THEN
-        CALL cxios_get_context_time_origin(context_hdl%daddr, time_origin_)
-      ENDIF
-      
-      IF (PRESENT(timestep_)) THEN
-        CALL cxios_get_context_timestep(context_hdl%daddr, timestep_)
       ENDIF
       
@@ -150,86 +94,42 @@
   
   SUBROUTINE xios(is_defined_context_attr)  &
-    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_id, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context))  :: context_hdl
       CHARACTER(LEN=*), INTENT(IN) ::context_id
-      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type
-      LOGICAL(KIND=C_BOOL) :: calendar_type_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir
       LOGICAL(KIND=C_BOOL) :: output_dir_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
-      LOGICAL(KIND=C_BOOL) :: start_date_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
-      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
-      LOGICAL(KIND=C_BOOL) :: timestep_tmp
       
       CALL xios(get_context_handle)(context_id,context_hdl)
       CALL xios(is_defined_context_attr_hdl_)   &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(is_defined_context_attr)
   
   SUBROUTINE xios(is_defined_context_attr_hdl)  &
-    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    ( context_hdl, output_dir )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type
-      LOGICAL(KIND=C_BOOL) :: calendar_type_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir
       LOGICAL(KIND=C_BOOL) :: output_dir_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
-      LOGICAL(KIND=C_BOOL) :: start_date_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
-      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
-      LOGICAL(KIND=C_BOOL) :: timestep_tmp
       
       CALL xios(is_defined_context_attr_hdl_)  &
-      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+      ( context_hdl, output_dir )
     
   END SUBROUTINE xios(is_defined_context_attr_hdl)
   
   SUBROUTINE xios(is_defined_context_attr_hdl_)   &
-    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
+    ( context_hdl, output_dir_ )
     
     IMPLICIT NONE
       TYPE(txios(context)) , INTENT(IN) :: context_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type_
-      LOGICAL(KIND=C_BOOL) :: calendar_type__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir_
       LOGICAL(KIND=C_BOOL) :: output_dir__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date_
-      LOGICAL(KIND=C_BOOL) :: start_date__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin_
-      LOGICAL(KIND=C_BOOL) :: time_origin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep_
-      LOGICAL(KIND=C_BOOL) :: timestep__tmp
-      
-      IF (PRESENT(calendar_type_)) THEN
-        calendar_type__tmp=cxios_is_defined_context_calendar_type(context_hdl%daddr)
-        calendar_type_=calendar_type__tmp
-      ENDIF
       
       IF (PRESENT(output_dir_)) THEN
         output_dir__tmp=cxios_is_defined_context_output_dir(context_hdl%daddr)
         output_dir_=output_dir__tmp
-      ENDIF
-      
-      IF (PRESENT(start_date_)) THEN
-        start_date__tmp=cxios_is_defined_context_start_date(context_hdl%daddr)
-        start_date_=start_date__tmp
-      ENDIF
-      
-      IF (PRESENT(time_origin_)) THEN
-        time_origin__tmp=cxios_is_defined_context_time_origin(context_hdl%daddr)
-        time_origin_=time_origin__tmp
-      ENDIF
-      
-      IF (PRESENT(timestep_)) THEN
-        timestep__tmp=cxios_is_defined_context_timestep(context_hdl%daddr)
-        timestep_=timestep__tmp
       ENDIF
       
